### Method

# Fwupd Codec to_json

since: 2.0.0

#### Declaration [src]

    void
    fwupd_codec_to_json (
      FwupdCodec* self,
      JsonBuilder* builder,
      FwupdCodecFlags flags
    )

#### Description [src]

Converts an object that implements `FwupdCodec` to a JSON builder object.

Available since: 2.0.0

#### Parameters

`builder`

  Type: `JsonBuilder`

  A JSON builder.

  The data is owned by the caller of the method.

`flags`

  Type: `FwupdCodecFlags`

  A `FwupdCodecFlags`, e.g. `FWUPD_CODEC_FLAG_TRUSTED`.